.musicPlayer {
  /* @Todo add background colour to globals */
  background-color: #f5f7f8;
}

.musicPlayer-partialBoarder {
  height: 2px;
  background-color: #dadee0;
  /* @Todo add that colour to globals and adjust width so it matches mockup */
}

.musicPlayer-linkArea {
  padding-right: 40px;
  margin-top: auto;
  margin-bottom: auto;
}

.musicPlayer-listIcon {
  height: 60%;
  margin-top: auto;
  margin-bottom: auto;
}

.musicPlayer-listInner {
  display: flex;
  justify-content: space-between;
  height: 60px;
}

.musicPlayer-listItem-arrow {
  rotate: -90deg;
}

.musicPlayer-container {
  display: flex;
  flex-direction: column;
}

.musicPlayer-songContainer {
  padding-bottom: 20px;
  display: flex;
  flex-direction: row;
}

.musicPlayer-songImg {
  height: inherit;
  width: inherit;
}

.musicPlayer-songArt {
  height: 128px;
  width: 128px;
  padding-top: 30px;
  padding-bottom: 20px;
  border-radius: 3px;
  padding-left: 40px; /* @Todo should chuck this kinda stuff in a global somewhere too */
  padding-right: 40px;
}

.musicPlayer-songControls {
  height: 60px;
  margin-top: auto;
  margin-bottom: auto;
}

.musicPlayer-songTitle {
  padding-left: 20px;
  font-size: x-large;
  margin-bottom: auto;
  margin-top: auto;
}

.musicPlayer-songProgress {
  height: 3px;
  display: flex;
  flex-direction: row;
  margin-left: 40px;
  margin-right: 40px;
}

.musicPlayer-songTitle {
  font-size: larger;
}

.musicPlayer-listItem-text {
  font-size: large;
  width: 100%;
  margin-bottom: auto;
  margin-top: auto;
  padding-left: 40px;
}

.musicPlayer-listContainer {
  display: flex;
  flex-direction: column;
}

.musicPlayer-listItem {
  padding-left: 40px;
}
